Bug 1307918 - python-impacket: FTBFS in rawhide
python-impacket: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-impacket (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 17:06 EST by Fedora Release Engineering
Modified: 2016-09-29 00:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-impacket-0.9.15-3.fc25 python-impacket-0.9.15-3.fc24 python-impacket-0.9.15-3.fc23 python-impacket-0.9.15-3.el7 python-impacket-0.9.15-4.fc25 python-impacket-0.9.15-4.fc24 python-impacket-0.9.15-4.fc23 python-impacket-0.9.15-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-22 03:32:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (3.72 KB, text/plain)
2016-02-13 17:07 EST, Fedora Release Engineering
no flags Details
root.log (80.97 KB, text/plain)
2016-02-13 17:07 EST, Fedora Release Engineering
no flags Details
state.log (657 bytes, text/plain)
2016-02-13 17:07 EST, Fedora Release Engineering
no flags Details
python-impacket.spec (3.74 KB, text/plain)
2016-06-17 11:13 EDT, Michal Ambroz
no flags Details
python-impacket-0.9.14-setup.patch (816 bytes, patch)
2016-06-17 11:14 EDT, Michal Ambroz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:06:59 EST
Your package python-impacket failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12859685

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:07:01 EST
Created attachment 1125815 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:07:02 EST
Created attachment 1125816 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:07:03 EST
Created attachment 1125817 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 10:02:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Michal Ambroz 2016-06-17 11:13 EDT
Created attachment 1169148 [details]
python-impacket.spec

Hello, 
the upstream Impacket code is apparently not ready for easy building of the python3 package - see https://github.com/CoreSecurity/impacket/issues/61

I propose for now to build python2.7 by default and have the building of python3 sub-package ready on conditional.

Best regards
Michal Ambroz
Comment 6 Michal Ambroz 2016-06-17 11:14 EDT
Created attachment 1169149 [details]
python-impacket-0.9.14-setup.patch
Comment 7 Fedora Update System 2016-08-26 09:47:15 EDT
python-impacket-0.9.15-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-02b0b98ef4
Comment 8 Fedora Update System 2016-08-26 09:47:22 EDT
python-impacket-0.9.15-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f061db144
Comment 9 Fedora Update System 2016-08-26 09:47:27 EDT
python-impacket-0.9.15-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1adef11aa2
Comment 10 Fedora Update System 2016-08-26 09:47:32 EDT
python-impacket-0.9.15-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fc34c18105
Comment 11 Fedora Update System 2016-08-27 08:52:52 EDT
python-impacket-0.9.15-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fc34c18105
Comment 12 Fedora Update System 2016-08-27 17:19:25 EDT
python-impacket-0.9.15-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1adef11aa2
Comment 13 Fedora Update System 2016-08-27 17:49:59 EDT
python-impacket-0.9.15-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f061db144
Comment 14 Fedora Update System 2016-08-27 18:21:25 EDT
python-impacket-0.9.15-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-02b0b98ef4
Comment 15 Fedora Update System 2016-09-05 13:55:09 EDT
python-impacket-0.9.15-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-09-05 18:52:40 EDT
python-impacket-0.9.15-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-09-05 22:18:58 EDT
python-impacket-0.9.15-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-09-12 20:19:54 EDT
python-impacket-0.9.15-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-09-13 08:54:04 EDT
python-impacket-0.9.15-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e0e4a5565
Comment 20 Fedora Update System 2016-09-13 08:54:09 EDT
python-impacket-0.9.15-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-59284d46f9
Comment 21 Fedora Update System 2016-09-13 08:54:15 EDT
python-impacket-0.9.15-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bac8148554
Comment 22 Fedora Update System 2016-09-13 08:54:20 EDT
python-impacket-0.9.15-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e8d103598d
Comment 23 Fedora Update System 2016-09-13 21:52:21 EDT
python-impacket-0.9.15-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e8d103598d
Comment 24 Fedora Update System 2016-09-13 22:50:47 EDT
python-impacket-0.9.15-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e0e4a5565
Comment 25 Fedora Update System 2016-09-13 22:52:10 EDT
python-impacket-0.9.15-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bac8148554
Comment 26 Fedora Update System 2016-09-13 23:24:49 EDT
python-impacket-0.9.15-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-59284d46f9
Comment 27 Fedora Update System 2016-09-22 03:32:34 EDT
python-impacket-0.9.15-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2016-09-22 20:23:56 EDT
python-impacket-0.9.15-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2016-09-22 23:21:40 EDT
python-impacket-0.9.15-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2016-09-29 00:18:44 EDT
python-impacket-0.9.15-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.